unit u_hs;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls, Buttons;

type

  { Tf_hs }

  Tf_hs = class(TForm)
    BitBtn1: TBitBtn;
    b_sort: TButton;
    b_einlesen: TButton;
    Label1: TLabel;
    lb_daten: TListBox;
    lb_ausgabe: TListBox;
    OpenDialog1: TOpenDialog;
    procedure b_einlesenClick(Sender: TObject);
    procedure b_sortClick(Sender: TObject);
  private

  public

  end;

var
  f_hs: Tf_hs;
  hs_namen : ARRAY[1..10] OF STRING[50];
  zeilenzahl : INTEGER;

implementation

{$R *.lfm}

{ Tf_hs }

procedure Tf_hs.b_einlesenClick(Sender: TObject);
VAR z : INTEGER;
begin
 IF opendialog1.execute THEN lb_daten.items.loadfromfile(opendialog1.filename);  // Wenn der Opendialog ausgeführt wird, dann lade Daten zeilenweise aus der augewählten Datei in die Listbox .
 zeilenzahl:=lb_daten.Count;                                                     //zählt die Textzeilen
 FOR z:=1 TO zeilenzahl DO hs_namen[z]:=lb_daten.items[z-1];
end;

procedure Tf_hs.b_sortClick(Sender: TObject);
VAR i,j,k : INTEGER;
    t : STRING[50];

begin
  //Verarbeitung - Sortierung
 FOR i:=1 to zeilenzahl-1 DO
  FOR j:=i+1 TO zeilenzahl DO
   BEGIN
    IF hs_namen[i]>hs_namen[j] THEN
     BEGIN
      t:=hs_namen[j];
      hs_namen[j]:=hs_namen[i];
      hs_namen[i]:=t;
     END;
   END;

  //Ausgabe
  FOR k:=1 TO zeilenzahl DO
   lb_ausgabe.Items.Add(hs_namen[k]);

end;

end.

